unit schRemesasProveedorServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schRemesasProveedorClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RemesasProveedorDelta = '{D08A9960-77D0-4CFF-95F2-209EA3322B70}';

type
  { IRemesasProveedorDelta }
  IRemesasProveedorDelta = interface(IRemesasProveedor)
  ['{D08A9960-77D0-4CFF-95F2-209EA3322B70}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldTIPOValue : String;
    function GetOldFECHA_REMESAValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldID_DATOS_BANCOValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;
    function GetOldIMPORTE_TOTALValue : Currency;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
  end;

  { TRemesasProveedorBusinessProcessorRules }
  TRemesasProveedorBusinessProcessorRules = class(TDABusinessProcessorRules, IRemesasProveedor, IRemesasProveedorDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetTIPOValue: String; virtual;
    function GetTIPOIsNull: Boolean; virtual;
    function GetOldTIPOValue: String; virtual;
    function GetOldTIPOIsNull: Boolean; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    procedure SetTIPOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    function GetFECHA_REMESAIsNull: Boolean; virtual;
    function GetOldFECHA_REMESAValue: DateTime; virtual;
    function GetOldFECHA_REMESAIsNull: Boolean; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    procedure SetFECHA_REMESAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    function GetID_DATOS_BANCOIsNull: Boolean; virtual;
    function GetOldID_DATOS_BANCOValue: Integer; virtual;
    function GetOldID_DATOS_BANCOIsNull: Boolean; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    procedure SetID_DATOS_BANCOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetFECHA_ALTAIsNull: Boolean; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAIsNull: Boolean; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    procedure SetFECHA_ALTAIsNull(const aValue: Boolean); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetFECHA_MODIFICACIONIsNull: Boolean; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONIsNull: Boolean; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    procedure SetFECHA_MODIFICACIONIsNull(const aValue: Boolean); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetUSUARIOIsNull: Boolean; virtual;
    function GetOldUSUARIOValue: String; virtual;
    function GetOldUSUARIOIsNull: Boolean; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    procedure SetUSUARIOIsNull(const aValue: Boolean); virtual;
    function GetNOMBREValue: String; virtual;
    function GetNOMBREIsNull: Boolean; virtual;
    function GetOldNOMBREValue: String; virtual;
    function GetOldNOMBREIsNull: Boolean; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    procedure SetNOMBREIsNull(const aValue: Boolean); virtual;
    function GetENTIDADValue: String; virtual;
    function GetENTIDADIsNull: Boolean; virtual;
    function GetOldENTIDADValue: String; virtual;
    function GetOldENTIDADIsNull: Boolean; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    procedure SetENTIDADIsNull(const aValue: Boolean); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetSUCURSALIsNull: Boolean; virtual;
    function GetOldSUCURSALValue: String; virtual;
    function GetOldSUCURSALIsNull: Boolean; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    procedure SetSUCURSALIsNull(const aValue: Boolean); virtual;
    function GetDCValue: String; virtual;
    function GetDCIsNull: Boolean; virtual;
    function GetOldDCValue: String; virtual;
    function GetOldDCIsNull: Boolean; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    procedure SetDCIsNull(const aValue: Boolean); virtual;
    function GetCUENTAValue: String; virtual;
    function GetCUENTAIsNull: Boolean; virtual;
    function GetOldCUENTAValue: String; virtual;
    function GetOldCUENTAIsNull: Boolean; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    procedure SetCUENTAIsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetSUFIJO_N19IsNull: Boolean; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19IsNull: Boolean; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    procedure SetSUFIJO_N19IsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetSUFIJO_N58IsNull: Boolean; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58IsNull: Boolean; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;
    procedure SetSUFIJO_N58IsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetIMPORTE_TOTALIsNull: Boolean; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALIsNull: Boolean; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull : Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property OldTIPO : String read GetOldTIPOValue;
    property OldTIPOIsNull : Boolean read GetOldTIPOIsNull;
    property FECHA_REMESA : DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property FECHA_REMESAIsNull : Boolean read GetFECHA_REMESAIsNull write SetFECHA_REMESAIsNull;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldFECHA_REMESAIsNull : Boolean read GetOldFECHA_REMESAIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property ID_DATOS_BANCO : Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property ID_DATOS_BANCOIsNull : Boolean read GetID_DATOS_BANCOIsNull write SetID_DATOS_BANCOIsNull;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldID_DATOS_BANCOIsNull : Boolean read GetOldID_DATOS_BANCOIsNull;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_ALTAIsNull : Boolean read GetFECHA_ALTAIsNull write SetFECHA_ALTAIsNull;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_ALTAIsNull : Boolean read GetOldFECHA_ALTAIsNull;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property FECHA_MODIFICACIONIsNull : Boolean read GetFECHA_MODIFICACIONIsNull write SetFECHA_MODIFICACIONIsNull;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACIONIsNull : Boolean read GetOldFECHA_MODIFICACIONIsNull;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull : Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldUSUARIOIsNull : Boolean read GetOldUSUARIOIsNull;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull : Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldNOMBREIsNull : Boolean read GetOldNOMBREIsNull;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull : Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldENTIDADIsNull : Boolean read GetOldENTIDADIsNull;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull : Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldSUCURSALIsNull : Boolean read GetOldSUCURSALIsNull;
    property DC : String read GetDCValue write SetDCValue;
    property DCIsNull : Boolean read GetDCIsNull write SetDCIsNull;
    property OldDC : String read GetOldDCValue;
    property OldDCIsNull : Boolean read GetOldDCIsNull;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull : Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldCUENTAIsNull : Boolean read GetOldCUENTAIsNull;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N19IsNull : Boolean read GetSUFIJO_N19IsNull write SetSUFIJO_N19IsNull;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N19IsNull : Boolean read GetOldSUFIJO_N19IsNull;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property SUFIJO_N58IsNull : Boolean read GetSUFIJO_N58IsNull write SetSUFIJO_N58IsNull;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
    property OldSUFIJO_N58IsNull : Boolean read GetOldSUFIJO_N58IsNull;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull : Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldIMPORTE_TOTALIsNull : Boolean read GetOldIMPORTE_TOTALIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TRemesasProveedorBusinessProcessorRules }
constructor TRemesasProveedorBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRemesasProveedorBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRemesasProveedorBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID];
end;

function TRemesasProveedorBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_EMPRESA];
end;

function TRemesasProveedorBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_EMPRESA]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID_EMPRESA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID_EMPRESA]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_EMPRESA] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_EMPRESA] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorREFERENCIA];
end;

function TRemesasProveedorBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorREFERENCIA]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorREFERENCIA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorREFERENCIA]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorREFERENCIA] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorREFERENCIA] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorTIPO];
end;

function TRemesasProveedorBusinessProcessorRules.GetTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorTIPO]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorTIPO];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorTIPO]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorTIPO] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetTIPOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorTIPO] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_REMESA];
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_REMESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_REMESA]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_REMESA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_REMESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_REMESA]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_REMESA] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_REMESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_REMESA] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDESCRIPCION];
end;

function TRemesasProveedorBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDESCRIPCION]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorDESCRIPCION];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorDESCRIPCION]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDESCRIPCION] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDESCRIPCION] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_DATOS_BANCO];
end;

function TRemesasProveedorBusinessProcessorRules.GetID_DATOS_BANCOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_DATOS_BANCO]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID_DATOS_BANCO];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldID_DATOS_BANCOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID_DATOS_BANCO]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_DATOS_BANCO] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetID_DATOS_BANCOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_DATOS_BANCO] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_ALTA];
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_ALTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_ALTA]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_ALTA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_ALTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_ALTA]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_ALTA] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_ALTAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_ALTA] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_MODIFICACION];
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_MODIFICACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_MODIFICACION]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_MODIFICACION];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_MODIFICACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_MODIFICACION]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_MODIFICACION] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_MODIFICACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_MODIFICACION] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorUSUARIO];
end;

function TRemesasProveedorBusinessProcessorRules.GetUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorUSUARIO]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorUSUARIO];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorUSUARIO]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorUSUARIO] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetUSUARIOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorUSUARIO] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorNOMBRE];
end;

function TRemesasProveedorBusinessProcessorRules.GetNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorNOMBRE]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorNOMBRE];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorNOMBRE]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorNOMBRE] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetNOMBREIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorNOMBRE] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorENTIDAD];
end;

function TRemesasProveedorBusinessProcessorRules.GetENTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorENTIDAD]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorENTIDAD];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldENTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorENTIDAD]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorENTIDAD] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetENTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorENTIDAD] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUCURSAL];
end;

function TRemesasProveedorBusinessProcessorRules.GetSUCURSALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUCURSAL]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUCURSAL];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUCURSALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUCURSAL]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUCURSAL] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUCURSALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUCURSAL] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDC];
end;

function TRemesasProveedorBusinessProcessorRules.GetDCIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDC]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorDC];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldDCIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorDC]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDC] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetDCIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDC] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorCUENTA];
end;

function TRemesasProveedorBusinessProcessorRules.GetCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorCUENTA]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorCUENTA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorCUENTA]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorCUENTA] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetCUENTAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorCUENTA] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N19];
end;

function TRemesasProveedorBusinessProcessorRules.GetSUFIJO_N19IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N19]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUFIJO_N19];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUFIJO_N19IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUFIJO_N19]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N19] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUFIJO_N19IsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N19] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N58];
end;

function TRemesasProveedorBusinessProcessorRules.GetSUFIJO_N58IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N58]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUFIJO_N58];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUFIJO_N58IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUFIJO_N58]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N58] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUFIJO_N58IsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N58] := Null;
end;

function TRemesasProveedorBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorIMPORTE_TOTAL];
end;

function TRemesasProveedorBusinessProcessorRules.GetIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorIMPORTE_TOTAL]);
end;

function TRemesasProveedorBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorIMPORTE_TOTAL];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorIMPORTE_TOTAL]);
end;

procedure TRemesasProveedorBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorIMPORTE_TOTAL] := aValue;
end;

procedure TRemesasProveedorBusinessProcessorRules.SetIMPORTE_TOTALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorIMPORTE_TOTAL] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_RemesasProveedorDelta, TRemesasProveedorBusinessProcessorRules);

end.
